
/******************************************************************************
* MODULE     : keyw_lambda.cc
* DESCRIPTION: The 'lambda' keyword
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
namespace mmx {

void
evaluator_rep::evaluate_lambda_1 () {
  // INPUT: (lambda_1, cont, ...)
  generic g   = car (trace);
  generic dom = cons (MMX_CROSS, flatten_types (as_list (g[1])));
  generic type= list (MMX_FUNCTION, dom, g[2]);
  // FIXME: the type should be evaluated
  generic lamb= cons (car (g), env, cdr (as_list (g)));
  cur= car (rem);
  rem= cons (value (lamb, type), cdr (rem));
  // OUTPUT: (cont, typed_lambda_expr, ...)
  trace= cdr (trace);
}

} // namespace mmx
