/******************************************************************************
* MODULE     : master.cc
* DESCRIPTION: master file with initializations for all extensions
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

// #include <Synaps/mmx_index.H>
namespace mmx {

#define initialize(module) \
  extern void initialize_##module(); \
  initialize_##module ();

void
initialize_master () {
  initialize (base_types);
  // initialize (synaps);
}

} // namespace mmx
